<div class="panel panel-default nl panel-newsletter-signup">
  <div class="row">
    <div class="col-12 newsletter">
      <div class="newsletter-form" style="margin: 32px 0">
        <span class="newsletter-preamble">
          Sign up for GitLab’s twice-monthly newsletter
        </span>

        <script src="//page.gitlab.com/js/forms2/js/forms2.min.js"></script>
        <form id="mktoForm_1077"></form>
        <script>

          MktoForms2.setOptions(
          {
            formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
          });
          MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1077, function(form) {
            form.onSuccess(function(values, followUpUrl) {

              let formHasFormBeenFocused = false;
              form.onValidate(function(){
                if(formHasFormBeenFocused == false){
                  dataLayer.push({
                    'event' : 'mktoLead', 
                    'mktoFormId' : form.getId(),
                    'eventCallback' : function(){},
                    'eventTimeout' : 3000
                  });
                  formHasFormBeenFocused = true;
                  return false;
                };
              });

              dataLayer.push({
                'event' : 'mktoLead', 
                'mktoFormId' : form.getId(),
                'eventCallback' : function()
                {
                  form.getFormElem().hide();
                  document.getElementById('confirmform').style.display = 'block';
                }, 'eventTimeout' : 3000
              });
              return false;
            });
            function getgacid() {
              try {
                var tracker = ga.getAll()[0];
                return tracker.get('clientId');
              } catch (e) {
                return 'n/a';
              }
            }
            form.vals({
              'gacid': getgacid()
            });
          });
        </script>
         <div id="confirmform" class="confirm-message" style="display:none;"><p>Thanks for subscribing!</p></div>
      </div>
    </div>
  </div>
</div>
